%define modname pdo_firebird
%define dirname pdo_firebird
%define soname pdo_firebird.so
%define inifile 78_%{modname}.ini

%define major 5
%define libname %mklibname php5_common %{major}
%define php_version %{version} 

Summary:	Firebird/InterBase driver for PDO
Name:		php-%{modname}
Epoch:		0
Version:	5.3.9
Release:	%mkrel 2
Group:		Development/PHP
URL:		http://www.php.net
License:	PHP License
Source0:	%{modname}.ini
Requires:	php-pdo >= %{epoch}:%{version}
BuildRequires:	php-devel >= %{epoch}:%{php_version} 
BuildRequires:	firebird-devel
Requires:	%{libname} >= 3:%{version}

%description
PDO_Firebird is a driver that implements the PHP Data Objects (PDO) interface to
enable access from PHP to Firebird databases.

%prep

%setup -c -T
cp -dpR %{_usrsrc}/php-devel/extensions/%{dirname}/* .

%build
%serverbuild

phpize
%configure2_5x \
    --with-libdir=%{_lib} \
    --with-pdo-firebird=%{_libdir}/firebird

%make
mv modules/*.so .

%install
rm -rf %{buildroot} 

install -D -m0755 %{soname} %{buildroot}%{_libdir}/php/extensions/%{soname}
install -D -m0644 %{SOURCE0} %{buildroot}%{_sysconfdir}/php.d/%{inifile}

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CREDITS package*.xml tests
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}





%changelog

* Mon Mar 19 2012 luigiwalser <luigiwalser> 0:5.3.9-2.mga2
+ Revision: 223925
- httpd restart is handled by filetriggers now

* Thu Dec 22 2011 spuhler <spuhler> 0:5.3.9-1.mga2
+ Revision: 185698
- upgrade to 5.3.9

* Mon Sep 19 2011 philippem <philippem> 0:5.3.8-1.mga2
+ Revision: 145599
- new version 5.3.8 ( sync with mandriva )
- update description

* Mon Apr 18 2011 philippem <philippem> 0:5.3.6-1.mga1
+ Revision: 87731
- rebuilt for php-5.3.6

* Mon Feb 07 2011 spuhler <spuhler> 0:5.3.4-2.mga1
+ Revision: 48188
- increase rel to 2 to be built
- removed buildroot definition from .spec

* Mon Jan 10 2011 philippem <philippem> 0:5.3.4-1.mga1
+ Revision: 5323
- imported package php-pdo_firebird


* Mon Jan 03 2011 oden <oden> 0:5.3.4-1mdv2011.0
+ Revision: 628065
- 5.3.4

* Thu Nov 25 2010 oden <oden> 0:5.3.4-0.0.RC1.1mdv2011.0
+ Revision: 600986
- use the correct version

* Wed Nov 24 2010 oden <oden> 0:5.3.3-2mdv2011.0
+ Revision: 600517
- rebuild

* Sun Oct 24 2010 oden <oden> 0:5.3.3-1mdv2011.0
+ Revision: 588737
- 5.3.3

* Fri Mar 05 2010 oden <oden> 0:5.3.2-1mdv2010.1
+ Revision: 514606
- rebuilt for php-5.3.2

* Tue Feb 16 2010 oden <oden> 0:5.3.2-0.0.RC2.2mdv2010.1
+ Revision: 506611
- rebuild
- rebuilt against php-5.3.2RC2

* Sat Jan 02 2010 oden <oden> 0:5.3.2-0.0.RC1.1mdv2010.1
+ Revision: 485333
- rebuilt for php-5.3.2RC1

* Sat Nov 21 2009 oden <oden> 0:5.3.1-1mdv2010.1
+ Revision: 468102
- rebuilt against php-5.3.1

* Wed Sep 30 2009 oden <oden> 0:5.3.1-0.0.RC1.1mdv2010.0
+ Revision: 451513
- 5.3.1RC1

* Wed Sep 30 2009 oden <oden> 0:5.3.0-2mdv2010.0
+ Revision: 451332
- rebuild

* Mon Jul 20 2009 oden <oden> 0:5.3.0-1mdv2010.0
+ Revision: 398149
- 5.3.0

* Sun Jul 19 2009 rapsys <rapsys> 0:5.3.0-0.0.RC2.2mdv2010.0
+ Revision: 397567
- Rebuild

* Mon May 18 2009 oden <oden> 0:5.3.0-0.0.RC2.1mdv2010.0
+ Revision: 377013
- rebuilt for php-5.3.0RC2

* Sun Mar 01 2009 oden <oden> 0:5.2.9-1mdv2009.1
+ Revision: 346388
- 5.2.9

* Tue Feb 17 2009 oden <oden> 0:5.2.9-0.0.RC2.1mdv2009.1
+ Revision: 342256
- import php-pdo_firebird


* Tue Feb 17 2009 Oden Eriksson <oeriksson@mandriva.org> 0:5.2.9-0.0.RC2.1mdv2009.1
- initial Mandriva package
